Skip to main content
`Ctrl`+`K`

# PetscViewerExodusIIGetZonalVariableName

Gets the name of a zonal variable.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIIGetZonalVariableName(PetscViewer viewer, PetscExodusIIInt idx, const char *name[])

Collective;

## Input Parameters

- viewer - a `PetscViewer` of type `PETSCVIEWEREXODUSII`

- idx - the index for which you want to get the name

## Output Parameter

- name - pointer to the string containing the name characters

## See Also

`PETSCVIEWEREXODUSII`, `PetscViewer`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerExodusIIOpen()`, `PetscViewerSetType()`, `PetscViewerType`, `PetscViewerExodusIISetZonalVariableName()`

## Level

intermediate

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages